import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from "./store"
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
// @ts-ignore
import EasyMapComponent from '@/components/easyMap/index.vue'
import './style/cus-element.scss'
import * as easyMap from '@/utils/easyMap.ts'
import * as util from '@/utils/util.ts'
const app = createApp(App)
app.use(router)
app.use(store)
app.use(ElementPlus)
app.config.globalProperties.$util = util
app.config.globalProperties.$easyMap = easyMap
app.component('EasyMapComponent', EasyMapComponent)
app.mount('#app')
